Bug 11935 - Debugging smbspool with cups backend is not possible
Debugging smbspool with cups backend is not possible
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.4.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-25 11:44 UTC by Andreas Schneider
Modified: 2016-06-01 07:43 UTC (History)
5 users (show)

See Also:


Attachments
patch for 4.4 (4.55 KB, patch)
2016-05-30 09:49 UTC, Andreas Schneider
no flags Details
patch for 4.3 (4.55 KB, patch)
2016-05-30 09:50 UTC, Andreas Schneider
no flags Details
patch for 4.4 (1002 bytes, patch)
2016-05-30 15:58 UTC, Andreas Schneider
no flags Details
patch for 4.3 (1002 bytes, patch)
2016-05-30 15:59 UTC, Andreas Schneider
no flags Details
patch for 4.4 (1002 bytes, patch)
2016-05-30 16:17 UTC, Andreas Schneider
ab: review+
gd: review+
Details
patch for 4.3 (1002 bytes, patch)
2016-05-30 16:17 UTC, Andreas Schneider
ab: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-05-25 11:44:06 UTC
smbspool logs to stdout but cups expects the backend to log to stderr to pick up a log and print it to the cups log.

If you have issues with smbspool and Kerberos you need to be able to enable logging.

Patch will follow.
Comment 1 Andreas Schneider 2016-05-30 09:49:56 UTC
Created attachment 12143 [details]
patch for 4.4
Comment 2 Andreas Schneider 2016-05-30 09:50:20 UTC
Created attachment 12144 [details]
patch for 4.3
Comment 3 Andreas Schneider 2016-05-30 15:58:24 UTC
Created attachment 12150 [details]
patch for 4.4
Comment 4 Andreas Schneider 2016-05-30 15:59:02 UTC
Created attachment 12151 [details]
patch for 4.3
Comment 5 Andreas Schneider 2016-05-30 16:17:28 UTC
Created attachment 12152 [details]
patch for 4.4
Comment 6 Andreas Schneider 2016-05-30 16:17:50 UTC
Created attachment 12153 [details]
patch for 4.3
Comment 7 Guenther Deschner 2016-05-30 19:27:46 UTC
Comment on attachment 12152 [details]
patch for 4.4

LGTM
Comment 8 Guenther Deschner 2016-05-30 19:27:59 UTC
Comment on attachment 12153 [details]
patch for 4.3

LGTM
Comment 9 Guenther Deschner 2016-05-30 19:28:57 UTC
Karolin, please add to 4.4 and 4.3. Thanks!
Comment 10 Karolin Seeger 2016-05-31 06:56:20 UTC
(In reply to Guenther Deschner from comment #9)
Pushed to autobuild-v4-[4|3]-test.
Comment 11 Karolin Seeger 2016-06-01 07:43:29 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to both branches.
Closing out bug report.

Thanks!